#!/bin/nawk -f
#
# Author J.S.Charters Jun 2001 R/V Revelle
# Modif  J.S.Charters Oct 2001 R/V Melville to work with MK21 also
#
BEGIN { 
}
{
	if ( NR == 1 ) {
		model = "unkn"
		if ( $5 == "MK12") {
			model = "MK12"
		}
		if ( $5 == "MK21") {
			model = "MK21"
		}	
		next
	}
		
	if ( $1 == "Date") {
		if ( model == "MK21") {
			split($4,line,"/")
		} else {
			split($5,line,"/")
		}
		month = line[1]
		day = line[2]
		year = line[3]
		if ( year > 2000) year -= 2000
		next
	}
	if ( $1 == "Time") {
		if ( model == "MK21") {
			split($4,line,":")
		} else {
			split($5,line,":")
		}
		hour = line[1]
		minute = line[2]
		next
	}
	if ( $1 == "Sequence") {
		seqno = $4
		next
	}
	if ( $1 == "Probe" ) {
		type = $4
		if ( type == "Fast") type = "Fast_Deep"
		next
	}
	if ( $1 == "Latitude") {
		latd = $3
		latm = $4
		if ( model == "MK21" ) {
			char = length($4) 
			lath = substr($4,char,1)
		} else {
			lath = $5
		}
		next
	}
	if ( $1 == "Longitude") {
		lond = $3
		lonm = $4
		if ( model == "MK21" ) {
			char = length($4) 
			lonh = substr($4,char,1)
		} else {
			lonh = substr($5,1,1)
		}
		next
	}
}
END {
	printf "%02d%02d %02d%02d%02d",hour,minute,day,month,year
	printf "  0 BTXP   %4s  #%3d %9s GDC  ",model,seqno,type
	printf "%02d-%05.2f%s %03d-%05.2f%s",latd,latm,lath, lond,lonm,lonh
	printf " g %s\n",CRUISE
}
