#!/bin/nawk -f
#
# Aurhor J.S.Charters
# Modif J.S.Charters Jun99 added date field to input data.
# Computes the max and min of a data set
#
# example: met_weekly_ins_data.awk  field=2 scale=1 alldata
#
BEGIN {
	day = -1;
	max = -99.;
	min = 9999.;
	if ( scale == 0) scale = 1;
}
{
	if ( past_day != $1) {
		past_day = $1
		day++
	}
	data = $field;
	if ( data <= -2) next;
	if ( data > max ) {
		max = data;
	} 
	if ( data < min ) {
		min = data;
	}
	time = day + ($2 / 24.0)
	printf "%f %s %s %s %s %s\n", time, data, day, $2, $1, past_day
}
END {
	if ( max == -99) {
	    printf "-1/1\n" > "range";
	} else {
	    max = (int ((max + scale) / scale )) * scale;
	    min = (int ((min ) / scale )) * scale;
	    printf "%04d/%04d\n",min,max > "range";
	}
}
