/*
 * Author J.S.Charters Feb 1999
 * Modif J.S.Charters Mar 2000 for our new extent with 4 digit year.
 *
 * Creates the extent for yesterday
 *
 * yesterday 2000jan23
 *
 * Outputs
 *	2000jan22
 */

#include <stdio.h>
#include <string.h>


main (int argc, char *argv[])

{
	char year[10];
	char month[10];
	char day[10];
	char *ptr;
	
	int day_int;
	int month_int;
	int year_int;

	static char *months[] = { "illegal month",
			  "jan",
			  "feb",
			  "mar",
			  "apr",
			  "may",
			  "jun",
			  "jul",
			  "aug",
			  "sep",
			  "oct",
			  "nov",
			  "dec"};

	static int days[] = { 99,
			31,
			28,
			31,
			30,
			31,
			30,
			31,
			31,
			30,
			31,
			30,
			31};

	if (argc != 2) {
		printf ("Usage: yesterday 99jan03\n");
		exit(100);
	}

	ptr = *(++argv);

	memset (year,'\0',5);
	strncpy (year,ptr,4);
	year_int = atol(year);

	ptr += 4;
	memset (month,'\0',5);
	strncpy (month,ptr,3);
 	for( month_int = 0; month_int < 13; month_int++) {
		if ( strcmp(month,months[month_int]) == 0) break;
	}

	ptr += 3;
	memset (day,'\0',5);
	strncpy (day,ptr,2);
	day_int = atol(day);

	if (( year_int % 4 ) == 0) days[2] = 29;

	day_int--;
	if ( day_int < 1) {
		month_int--;
		day_int = days[month_int];
	}

	if ( month_int < 1) {
		month_int = 12;
		day_int = days[month_int];
		year_int--;
	}

	if ( year_int < 0) {
		year_int = 99;
	}

	printf ("%02d%3s%02d\n",year_int,months[month_int],day_int);
}
